// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 此处后端没有提供注释 GET /anyone/base/test */
export async function test(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.testParams,
  options?: { [key: string]: any }
) {
  return request<API.RObject>(`/base/anyone/base/test`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 设置默认企业 PUT /anyone/updateDefaultTenant */
export async function updateDefaultTenant(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.updateDefaultTenantParams,
  options?: { [key: string]: any }
) {
  return request<API.RBoolean>(`/base/anyone/updateDefaultTenant`, {
    method: 'PUT',
    params: {
      ...params
    },
    ...(options || {})
  })
}
